# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Date:: 2024/11/18-9:38
# @Description::
import unittest,allure,time
from configs.globalObj import LOGGER
from YiMao.businessFunc.ClientApiLib import YMClientApi
from YiMao.data.WuShangSceneData import *


class Test_C002_NonVipAddShoppingBagAndSettlePayment(unittest.TestCase):
    '''@Date:: 2024/11/15
    @Author:: Arthur Wu
    @Desc::
    [购物车客户端] 加购购物袋并试算验证
    1、武商测试环境，购物袋inputcode为：
       6971648922990、6971648922983
    '''
    def setUp(self) -> None:
        self.timestamp = int(time.time())
        self.ymc = YMClientApi()
        self.goods_inputcode01 = GoodsBagInputcode_mid
        self.goods_inputcode02 = GoodsBagInputcode_max

    @allure.story('[场景测试] 00201-非会员加购购物袋并试算验证-01')
    def test_C00201_NonVipAddShoppingBagAndSettlePayment(self):
        allure.dynamic.description("描述：非会员加购中号购物袋")
        allure.step("步骤1：session开始")
        self.ymc.session_start()
        allure.step("步骤2：匿名登录")
        Payload01 = {"action": 0, "isAnon": True}
        LoginData = self.ymc.login_app_v2(Payload01)
        allure.step("步骤3：获取商品信息")
        GoodsInfoData = self.ymc.get_goods_info(self.goods_inputcode01)
        if GoodsInfoData['msg'] != '加购商品不存在':
            allure.step("步骤4：添加购物袋")
            self.ymc.add_cart_goods(GoodsInfoData, 2, LoginData)
            allure.step("步骤5：获取购物车商品信息")
            self.ymc.get_cart_goods_info([GoodsInfoData])
            allure.step("步骤6：请求订单结算")
            self.ymc.request_order_settlement(LoginData)
        else:
            LOGGER.info(f"---购物袋 {self.goods_inputcode01} 不存在")

    @allure.story('[场景测试] 00202-非会员加购购物袋并试算验证-02')
    def test_C00202_AddShoppingBagAndSettlePayment(self):
        allure.dynamic.description("描述：非会员加购大号购物袋")
        allure.step("步骤1：session开始")
        self.ymc.session_start()
        allure.step("步骤2：匿名登录")
        Payload01 = {"action": 0, "isAnon": True}
        LoginData = self.ymc.login_app_v2(Payload01)
        allure.step("步骤3：获取商品信息")
        GoodsInfoData = self.ymc.get_goods_info(self.goods_inputcode02)
        if GoodsInfoData['msg'] != '加购商品不存在':
            allure.step("步骤4：添加购物袋")
            self.ymc.add_cart_goods(GoodsInfoData, 2, LoginData)
            allure.step("步骤5：获取购物车商品信息")
            self.ymc.get_cart_goods_info([GoodsInfoData])
            allure.step("步骤6：请求订单结算")
            self.ymc.request_order_settlement(LoginData)
        else:
            LOGGER.info(f"---购物袋 {self.goods_inputcode02} 不存在")


if __name__ == '__main__':
    unittest.main(verbosity=2)