# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Description:: 游客登录，加购打折商品并结算
# @Date:: 2021-05-10 16:30:22
import unittest,allure,time
from configs.globalObj import LOGGER
from YiMao.businessFunc.ClientApiLib import YMClientApi
from YiMao.data.WuShangSceneData import *


class Test_C006_NonVipAddDiscountedProductsForPurchaset(unittest.TestCase):
    '''@Date:: 2024/11/15
    @Author:: Arthur Wu
    @Desc::
    [购物车客户端] 加购打折商品并结算 验证
    1、武商测试环境，会员有优惠商品inputcode为：
    ！！！！折扣商品暂未提供
    '''
    def setUp(self) -> None:
        self.timestamp = int(time.time())
        self.ymc = YMClientApi()
        # 折扣商品暂未提供
        self.sale_goods_inputCode = SaleGoodsInputCode # 乐事薯片

    @allure.story('[场景测试] 006-非会员加购打折商品并结算-01')
    def test_C006_NonVipAddDiscountedProductsForPurchase(self):
        allure.dynamic.description("描述：非会员加购打折商品并结算")
        allure.step("步骤1：session开始")
        self.ymc.session_start()
        allure.step("步骤2：匿名登录")
        Payload01 = {"action": 0, "isAnon": True}
        LoginData = self.ymc.login_app_v2(Payload01)
        allure.step("步骤3：获取折扣商品信息")
        GoodsInfoData = self.ymc.get_goods_info(InputCode=self.sale_goods_inputCode)
        if GoodsInfoData['msg'] != '加购商品不存在':
            allure.step("步骤4：加购折扣商品")
            self.ymc.add_cart_goods(GoodsInfoData, 1, LoginData)
            allure.step("步骤5：获取购物车商品信息")
            self.ymc.get_cart_goods_info([GoodsInfoData])
            allure.step("步骤6：请求订单结算")
            self.ymc.request_order_settlement(LoginData)
        else:
            LOGGER.info(f"---商品 {self.sale_goods_inputCode} 不存在")


if __name__ == '__main__':
    unittest.main(verbosity=2)